<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>
        Todo Lists
    </title>
    </head>
    <body>
    </body>
    <main>
        <div>
            <h1>{{ tasks.name }}</h1>
            <p>
                <a href="{% url 'todo_list_update' tasks.id %}">Edit</a>
                <a href="{% url 'todo_list_delete' tasks.id %}">Delete</a>
            </p>
            <h2>Tasks</h2>
            <table>
                <thead>
                    <tr>
                        <th>Task</th>
                        <th>Due date</th>
                    </tr>
                </thead>
                <tbody>
                    {% for tasking in tasks.items.all %}
                    <tr>
                        <td>{{ tasking.task }}</td>
                        <td>{{ tasking.due_date|date:"DATE_FORMAT" }}</td>
                    </tr>
                    {% endfor %}
                    </tr>
                </tbody>
            </table>

        </div>
    </main>
</html>